package com.ruoyi.test;

import cn.dev33.satoken.secure.BCrypt;
import cn.hutool.core.util.URLUtil;
import lombok.SneakyThrows;
import org.junit.jupiter.api.Test;

import java.io.File;
import java.net.URL;

public class PasswordTest {

    @Test
    public void pwd() {
        System.out.println(BCrypt.hashpw("123456"));
    }

    @Test
    public void abc() {
        new File("E:\\upload\\2023\\7\\12\\75s0.jpg").delete();
    }

    @Test
    public void urlEncode() {
      System.out.println(URLUtil.encode("/files/default/2024/10/24/553vijcx66we/长沙销售部.txt"));
    }

}
